Name:        fira-mono-nerd-fonts
Version:     3.2.1
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/FiraMono.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c -v

%build
# Nothing to do here

%install

install -Dm644 FiraMonoNerdFont-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/FiraMonoNerdFont-Bold.otf
install -Dm644 FiraMonoNerdFontMono-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/FiraMonoNerdFontMono-Bold.otf
install -Dm644 FiraMonoNerdFontPropo-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/FiraMonoNerdFontPropo-Bold.otf
install -Dm644 FiraMonoNerdFont-Medium.otf %{buildroot}%{_datadir}/fonts/%{name}/FiraMonoNerdFont-Medium.otf
install -Dm644 FiraMonoNerdFontMono-Medium.otf %{buildroot}%{_datadir}/fonts/%{name}/FiraMonoNerdFontMono-Medium.otf
install -Dm644 FiraMonoNerdFontPropo-Medium.otf %{buildroot}%{_datadir}/fonts/%{name}/FiraMonoNerdFontPropo-Medium.otf
install -Dm644 FiraMonoNerdFont-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/FiraMonoNerdFont-Regular.otf
install -Dm644 FiraMonoNerdFontMono-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/FiraMonoNerdFontMono-Regular.otf
install -Dm644 FiraMonoNerdFontPropo-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/FiraMonoNerdFontPropo-Regular.otf

%files

%{_datadir}/fonts/%{name}/FiraMonoNerdFont-Bold.otf
%{_datadir}/fonts/%{name}/FiraMonoNerdFontMono-Bold.otf
%{_datadir}/fonts/%{name}/FiraMonoNerdFontPropo-Bold.otf
%{_datadir}/fonts/%{name}/FiraMonoNerdFont-Medium.otf
%{_datadir}/fonts/%{name}/FiraMonoNerdFontMono-Medium.otf
%{_datadir}/fonts/%{name}/FiraMonoNerdFontPropo-Medium.otf
%{_datadir}/fonts/%{name}/FiraMonoNerdFont-Regular.otf
%{_datadir}/fonts/%{name}/FiraMonoNerdFontMono-Regular.otf
%{_datadir}/fonts/%{name}/FiraMonoNerdFontPropo-Regular.otf
%license LICENSE
%doc README.md

%changelog
* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
